io.undertow.websockets.core

## Class BufferedBinaryMessage

- java.lang.Object
- - io.undertow.websockets.core.BufferedBinaryMessage

    public class BufferedBinaryMessage
    extends Object

A buffered binary message.

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`BufferedBinaryMessage(boolean bufferFullMessage)`
`BufferedBinaryMessage(long maxMessageSize, boolean bufferFullMessage)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.xnio.Pooled<ByteBuffer[]>` `getData()`
`boolean` `isComplete()`
`void` `read(StreamSourceFrameChannel channel, WebSocketCallback<BufferedBinaryMessage> callback)`
`void` `readBlocking(StreamSourceFrameChannel channel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BufferedBinaryMessage

    public BufferedBinaryMessage(long maxMessageSize,
                                 boolean bufferFullMessage)

#### BufferedBinaryMessage

    public BufferedBinaryMessage(boolean bufferFullMessage)

### Method Detail

#### readBlocking

    public void readBlocking(StreamSourceFrameChannel channel)
                      throws IOException

Throws:
  `IOException`

#### read

    public void read(StreamSourceFrameChannel channel,
                     WebSocketCallback<BufferedBinaryMessage> callback)

#### getData

    public org.xnio.Pooled<ByteBuffer[]> getData()

#### isComplete

    public boolean isComplete()